/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package de.bsvrz.dua.bastband.bastband.dvs.funclib.datawrapper;

import java.util.Iterator;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.dav.daf.main.config.Attribute;
import de.bsvrz.dav.daf.main.config.AttributeGroup;
import de.bsvrz.dua.bastband.bastband.dvs.funclib.LogosClientDavConnection;

/**
 * Projektbeschreibung:
 * @title
 * @version 1.0
 * @copyright Copyright (c) 2004
 */

/**
 * History:
 *
 * $Log: AtgVerkehrsdatenLangZeitIntervall.java,v $
 * Revision 1.1  2007/07/04 11:42:51  Trier
 * Neuordnung
 *
 * Revision 1.1.1.1  2007/06/20 09:56:26  Trier
 * dvs alles
 *
 * Revision 1.4  2005/06/13 14:17:09  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.3  2005/01/25 09:43:11  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.2  2005/01/21 13:26:16  Trier
 * <Kein Kommentar eingegeben>
 *
 * Revision 1.1.1.1  2004/03/23 13:14:18  Trier
 * Basis für LogosApps
 *
 * Revision 1.1.1.1  2004/03/23 07:59:52  Trier
 * vrz
 *
 */

/**
 * kapselt die Attributgruppe atg.verkehrsDatenLangZeitIntervall.
 */
public class AtgVerkehrsdatenLangZeitIntervall {

	private static AttributeGroup __TYP_ATG_VerkehrsDatenLangZeitIntervall;

	private final Data _Data;

	public static int KLASSIFIZIERUNG_8PLUS1 = 0;
	public static int KLASSIFIZIERUNG_5PLUS1 = 1;

	public static final String ATTR_NAME_T = "T";
	public static final String ATTR_NAME_QKFZ = "qKfz";
	public static final String ATTR_NAME_QPKWAE = "qPkwÄ";
	public static final String ATTR_NAME_QKFZNK = "qKfzNk";
	public static final String ATTR_NAME_QPKWG = "qPkwG";
	public static final String ATTR_NAME_QPKW = "qPkw";
	public static final String ATTR_NAME_QKRAD = "qKrad";
	public static final String ATTR_NAME_QLFW = "qLfw";
	public static final String ATTR_NAME_QLKWAE = "qLkwÄ";
	public static final String ATTR_NAME_QPKWA = "qPkwA";
	public static final String ATTR_NAME_QLKW = "qLkw";
	public static final String ATTR_NAME_QBUS = "qBus";
	public static final String ATTR_NAME_QLKWK = "qLkwK";
	public static final String ATTR_NAME_QLKWA = "qLkwA";
	public static final String ATTR_NAME_QSATTELKFZ = "qSattelKfz";
	public static final String ATTR_NAME_VKFZ = "vKfz";
	public static final String ATTR_NAME_VPKWAE = "vPkwÄ";
	public static final String ATTR_NAME_VKFZNK = "vKfzNk";
	public static final String ATTR_NAME_VPKWG = "vPkwG";
	public static final String ATTR_NAME_VPKW = "vPkw";
	public static final String ATTR_NAME_VKRAD = "vKrad";
	public static final String ATTR_NAME_VLFW = "vLfw";
	public static final String ATTR_NAME_VLKWAE = "vLkwÄ";
	public static final String ATTR_NAME_VPKWA = "vPkwA";
	public static final String ATTR_NAME_VLKW = "vLkw";
	public static final String ATTR_NAME_VBUS = "vBus";
	public static final String ATTR_NAME_VLKWK = "vLkwK";
	public static final String ATTR_NAME_VLKWA = "vLkwA";
	public static final String ATTR_NAME_VSATTELKFZ = "vSattelKfz";
	public static final String ATTR_NAME_SKFZ = "sKfz";
	public static final String ATTR_NAME_SPKWAE = "sPkwÄ";
	public static final String ATTR_NAME_SKFZNK = "sKfzNk";
	public static final String ATTR_NAME_SPKWG = "sPkwG";
	public static final String ATTR_NAME_SPKW = "sPkw";
	public static final String ATTR_NAME_SKRAD = "sKrad";
	public static final String ATTR_NAME_SLFW = "sLfw";
	public static final String ATTR_NAME_SLKWAE = "sLkwÄ";
	public static final String ATTR_NAME_SPKWA = "sPkwA";
	public static final String ATTR_NAME_SLKW = "sLkw";
	public static final String ATTR_NAME_SBUS = "sBus";
	public static final String ATTR_NAME_SLKWK = "sLkwK";
	public static final String ATTR_NAME_SLKWA = "sLkwA";
	public static final String ATTR_NAME_SSATTELKFZ = "sSattelKfz";
	public static final String ATTR_NAME_V85KFZ = "v85Kfz";
	public static final String ATTR_NAME_V85PKWAE = "v85PkwÄ";
	public static final String ATTR_NAME_V85KFZNK = "v85KfzNk";
	public static final String ATTR_NAME_V85PKWG = "v85PkwG";
	public static final String ATTR_NAME_V85PKW = "v85Pkw";
	public static final String ATTR_NAME_V85KRAD = "v85Krad";
	public static final String ATTR_NAME_V85LFW = "v85Lfw";
	public static final String ATTR_NAME_V85LKWAE = "v85LkwÄ";
	public static final String ATTR_NAME_V85PKWA = "v85PkwA";
	public static final String ATTR_NAME_V85LKW = "v85Lkw";
	public static final String ATTR_NAME_V85BUS = "v85Bus";
	public static final String ATTR_NAME_V85LKWK = "v85LkwK";
	public static final String ATTR_NAME_V85LKWA = "v85LkwA";
	public static final String ATTR_NAME_V85SATTELKFZ = "v85SattelKfz";
	public static final String ATTR_NAME_QKFZGESCHWKLASSE = "qKfzGeschwKlasse";
	public static final String ATTR_NAME_QPKWAEGESCHWKLASSE = "qPkwÄGeschwKlasse";
	public static final String ATTR_NAME_QKFZNKGESCHWKLASSE = "qKfzNkGeschwKlasse";
	public static final String ATTR_NAME_QPKWGGESCHWKLASSE = "qPkwGGeschwKlasse";
	public static final String ATTR_NAME_QPKWGESCHWKLASSE = "qPkwGeschwKlasse";
	public static final String ATTR_NAME_QKRADGESCHWKLASSE = "qKradGeschwKlasse";
	public static final String ATTR_NAME_QLFWGESCHWKLASSE = "qLfwGeschwKlasse";
	public static final String ATTR_NAME_QLKWAEGESCHWKLASSE = "qLkwÄGeschwKlasse";
	public static final String ATTR_NAME_QPKWAGESCHWKLASSE = "qPkwAGeschwKlasse";
	public static final String ATTR_NAME_QLKWGESCHWKLASSE = "qLkwGeschwKlasse";
	public static final String ATTR_NAME_QBUSGESCHWKLASSE = "qBusGeschwKlasse";
	public static final String ATTR_NAME_QLKWKGESCHWKLASSE = "qLkwKGeschwKlasse";
	public static final String ATTR_NAME_QLKWAGESCHWKLASSE = "qLkwAGeschwKlasse";
	public static final String ATTR_NAME_QSATTELKFZGESCHWKLASSE = "qSattelKfzGeschwKlasse";

	public AtgVerkehrsdatenLangZeitIntervall(final Data data) {
		_Data = data;
	}

	public void doInitialize() {
		if (AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall == null) {
			AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall = LogosClientDavConnection
					.getInstance().getDataModel().getAttributeGroup("atg.verkehrsDatenLangZeitIntervall");
		}
		final Iterator attrIterator = AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall
				.getAttributes().iterator();
		while (attrIterator.hasNext()) {
			final Attribute oAttribute = (Attribute) attrIterator.next();
			if ("VerkehrsStärkeStunde".equals(oAttribute.getAttributeType().getName())) {
				if (oAttribute.getMaxCount() > 1) {
					final Data.Array oArray = _Data.getItem(oAttribute.getName()).asArray();
					for (int i = 0; i < oArray.getLength(); i++) {
						new AtlVerkehrsStaerkeStunde(oArray.getItem(i)).doInitialize();
					}
				} else {
					new AtlVerkehrsStaerkeStunde(_Data.getItem(oAttribute.getName())).doInitialize();
				}
			} else {
				if ("Geschwindigkeit".equals(oAttribute.getAttributeType().getName())) {
					if (oAttribute.getMaxCount() > 1) {
						final Data.Array oArray = _Data.getItem(oAttribute.getName()).asArray();
						for (int i = 0; i < oArray.getLength(); i++) {
							new AtlGeschwindigkeit(oArray.getItem(i)).doInitialize();
						}
					} else {
						new AtlGeschwindigkeit(_Data.getItem(oAttribute.getName())).doInitialize();
					}
				}
			}
		}
	}

	public Data getData() {
		return _Data;
	}

	public AtgVerkehrsdatenLangZeitIntervall() {
		if (AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall == null) {
			AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall = LogosClientDavConnection
					.getInstance().getDataModel().getAttributeGroup("atg.verkehrsDatenLangZeitIntervall");
		}
		_Data = LogosClientDavConnection.getInstance()
				.createData(AtgVerkehrsdatenLangZeitIntervall.__TYP_ATG_VerkehrsDatenLangZeitIntervall);
	}

	public long getT() {
		return _Data.getTimeValue("T").getMillis();
	}

	public void setT(final long milliSec) {
		_Data.getTimeValue("T").setMillis(milliSec);
	}

	public AtlVerkehrsStaerkeStunde getqKfz() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qKfz"));
	}

	public AtlVerkehrsStaerkeStunde getqPkwAE() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qPkwÄ"));
	}

	public AtlVerkehrsStaerkeStunde getqKfzNk() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qKfzNk"));
	}

	public AtlVerkehrsStaerkeStunde getqPkwG() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qPkwG"));
	}

	public AtlVerkehrsStaerkeStunde getqPkw() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qPkw"));
	}

	public AtlVerkehrsStaerkeStunde getqKrad() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qKrad"));
	}

	public AtlVerkehrsStaerkeStunde getqLfw() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qLfw"));
	}

	public AtlVerkehrsStaerkeStunde getqLkwAE() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qLkwÄ"));
	}

	public AtlVerkehrsStaerkeStunde getqPkwA() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qPkwA"));
	}

	public AtlVerkehrsStaerkeStunde getqLkw() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qLkw"));
	}

	public AtlVerkehrsStaerkeStunde getqBus() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qBus"));
	}

	public AtlVerkehrsStaerkeStunde getqLkwK() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qLkwK"));
	}

	public AtlVerkehrsStaerkeStunde getqLkwA() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qLkwA"));
	}

	public AtlVerkehrsStaerkeStunde getqSattelKfz() {
		return new AtlVerkehrsStaerkeStunde(_Data.getItem("qSattelKfz"));
	}

	public AtlGeschwindigkeit getvKfz() {
		return new AtlGeschwindigkeit(_Data.getItem("vKfz"));
	}

	public AtlGeschwindigkeit getvPkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("vPkwÄ"));
	}

	public AtlGeschwindigkeit getvKfzNk() {
		return new AtlGeschwindigkeit(_Data.getItem("vKfzNk"));
	}

	public AtlGeschwindigkeit getvPkwG() {
		return new AtlGeschwindigkeit(_Data.getItem("vPkwG"));
	}

	public AtlGeschwindigkeit getvPkw() {
		return new AtlGeschwindigkeit(_Data.getItem("vPkw"));
	}

	public AtlGeschwindigkeit getvKrad() {
		return new AtlGeschwindigkeit(_Data.getItem("vKrad"));
	}

	public AtlGeschwindigkeit getvLfw() {
		return new AtlGeschwindigkeit(_Data.getItem("vLfw"));
	}

	public AtlGeschwindigkeit getvLkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("vLkwÄ"));
	}

	public AtlGeschwindigkeit getvPkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("vPkwA"));
	}

	public AtlGeschwindigkeit getvLkw() {
		return new AtlGeschwindigkeit(_Data.getItem("vLkw"));
	}

	public AtlGeschwindigkeit getvBus() {
		return new AtlGeschwindigkeit(_Data.getItem("vBus"));
	}

	public AtlGeschwindigkeit getvLkwK() {
		return new AtlGeschwindigkeit(_Data.getItem("vLkwK"));
	}

	public AtlGeschwindigkeit getvLkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("vLkwA"));
	}

	public AtlGeschwindigkeit getvSattelKfz() {
		return new AtlGeschwindigkeit(_Data.getItem("vSattelKfz"));
	}

	public AtlGeschwindigkeit getsKfz() {
		return new AtlGeschwindigkeit(_Data.getItem("sKfz"));
	}

	public AtlGeschwindigkeit getsPkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("sPkwÄ"));
	}

	public AtlGeschwindigkeit getsKfzNk() {
		return new AtlGeschwindigkeit(_Data.getItem("sKfzNk"));
	}

	public AtlGeschwindigkeit getsPkwG() {
		return new AtlGeschwindigkeit(_Data.getItem("sPkwG"));
	}

	public AtlGeschwindigkeit getsPkw() {
		return new AtlGeschwindigkeit(_Data.getItem("sPkw"));
	}

	public AtlGeschwindigkeit getsKrad() {
		return new AtlGeschwindigkeit(_Data.getItem("sKrad"));
	}

	public AtlGeschwindigkeit getsLfw() {
		return new AtlGeschwindigkeit(_Data.getItem("sLfw"));
	}

	public AtlGeschwindigkeit getsLkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("sLkwÄ"));
	}

	public AtlGeschwindigkeit getsPkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("sPkwA"));
	}

	public AtlGeschwindigkeit getsLkw() {
		return new AtlGeschwindigkeit(_Data.getItem("sLkw"));
	}

	public AtlGeschwindigkeit getsBus() {
		return new AtlGeschwindigkeit(_Data.getItem("sBus"));
	}

	public AtlGeschwindigkeit getsLkwK() {
		return new AtlGeschwindigkeit(_Data.getItem("sLkwK"));
	}

	public AtlGeschwindigkeit getsLkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("sLkwA"));
	}

	public AtlGeschwindigkeit getsSattelKfz() {
		return new AtlGeschwindigkeit(_Data.getItem("sSattelKfz"));
	}

	public AtlGeschwindigkeit getv85Kfz() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Kfz"));
	}

	public AtlGeschwindigkeit getv85PkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("v85PkwÄ"));
	}

	public AtlGeschwindigkeit getv85KfzNk() {
		return new AtlGeschwindigkeit(_Data.getItem("v85KfzNk"));
	}

	public AtlGeschwindigkeit getv85PkwG() {
		return new AtlGeschwindigkeit(_Data.getItem("v85PkwG"));
	}

	public AtlGeschwindigkeit getv85Pkw() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Pkw"));
	}

	public AtlGeschwindigkeit getv85Krad() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Krad"));
	}

	public AtlGeschwindigkeit getv85Lfw() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Lfw"));
	}

	public AtlGeschwindigkeit getv85LkwAE() {
		return new AtlGeschwindigkeit(_Data.getItem("v85LkwÄ"));
	}

	public AtlGeschwindigkeit getv85PkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("v85PkwA"));
	}

	public AtlGeschwindigkeit getv85Lkw() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Lkw"));
	}

	public AtlGeschwindigkeit getv85Bus() {
		return new AtlGeschwindigkeit(_Data.getItem("v85Bus"));
	}

	public AtlGeschwindigkeit getv85LkwK() {
		return new AtlGeschwindigkeit(_Data.getItem("v85LkwK"));
	}

	public AtlGeschwindigkeit getv85LkwA() {
		return new AtlGeschwindigkeit(_Data.getItem("v85LkwA"));
	}

	public AtlGeschwindigkeit getv85SattelKfz() {
		return new AtlGeschwindigkeit(_Data.getItem("v85SattelKfz"));
	}

	public AtlVerkehrsStaerkeStunde getqKfzGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qKfzGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde[] getqPkwAEGeschwKlassen() {
		AtlVerkehrsStaerkeStunde[] retValue;
		final Data.Array oArray = _Data.getItem("qPkwÄGeschwKlasse").asArray();
		if (oArray.getLength() > 0) {
			retValue = new AtlVerkehrsStaerkeStunde[oArray.getLength()];
			for (int i = 0; i < oArray.getLength(); i++) {
				retValue[i] = new AtlVerkehrsStaerkeStunde(oArray.getItem(i));
			}
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde[] getqLkwAEGeschwKlassen() {
		AtlVerkehrsStaerkeStunde[] retValue;
		final Data.Array oArray = _Data.getItem("qLkwÄGeschwKlasse").asArray();
		if (oArray.getLength() > 0) {
			retValue = new AtlVerkehrsStaerkeStunde[oArray.getLength()];
			for (int i = 0; i < oArray.getLength(); i++) {
				retValue[i] = new AtlVerkehrsStaerkeStunde(oArray.getItem(i));
			}
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqPkwAEGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qPkwÄGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqKfzNkGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qKfzNkGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqPkwGGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qPkwGGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqPkwGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qPkwGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqKradGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qKradGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqLfwGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qLfwGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqLkwAEGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qLkwÄGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqPkwAGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qPkwAGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqLkwGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qLkwGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqBusGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qBusGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqLkwKGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qLkwKGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqLkwAGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qLkwAGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	public AtlVerkehrsStaerkeStunde getqSattelKfzGeschwKlasse(final int itemNo) {
		AtlVerkehrsStaerkeStunde retValue;
		final Data.Array oArray = _Data.getItem("qSattelKfzGeschwKlasse").asArray();
		if (oArray.getLength() > itemNo) {
			retValue = new AtlVerkehrsStaerkeStunde(oArray.getItem(itemNo));
		} else {
			retValue = null;
		}
		return retValue;
	}

	/**
	 * gibt die Summe aus Lkw, LkwA, SattelKfz, Bus (Schwerverkehr) mit einem
	 * Pr&uuml;fkennzeichen zur&uuml;ck.
	 *
	 * Besitzt ein Wert den Status nicht ermittelbar wird 0d zur&uuml;ckgegeben.
	 *
	 * Besitzt ein Wert eine G&uuml;te&lt;&gt;1 wird der Wert mit dem
	 * Pr&uuml;fkennzeichen d (fehlerhafter Wert) zur&uuml;ckgegeben.
	 *
	 * @param klassifizierungsGruppe
	 *            die Klassifizierungsgruppe
	 * @return String
	 */
	public String getSVasBastString(final int klassifizierungsGruppe) {
		String retValue;
		if (klassifizierungsGruppe == AtgVerkehrsdatenLangZeitIntervall.KLASSIFIZIERUNG_8PLUS1) {
			final AtlVerkehrsStaerkeStunde atlLkw = getqLkw();
			final AtlVerkehrsStaerkeStunde atlLkwa = getqLkwA();
			final AtlVerkehrsStaerkeStunde atlSattelKfz = getqSattelKfz();
			final AtlVerkehrsStaerkeStunde atlBus = getqBus();
			if (atlLkw.isNumber() && atlLkwa.isNumber() && atlSattelKfz.isNumber() && atlBus.isNumber()) {
				final int iSV = atlLkw.getWert() + atlLkwa.getWert() + atlSattelKfz.getWert() + atlBus.getWert();
				if ((atlLkw.getGuete().getIndex() == 1) && (atlLkwa.getGuete().getIndex() == 1)
						&& (atlSattelKfz.getGuete().getIndex() == 1) && (atlBus.getGuete().getIndex() == 1)) {
					retValue = String.valueOf(iSV) + '-';
				} else {
					// retValue = String.valueOf(iSV) + 'd';
					retValue = String.valueOf(iSV) + '-';
				}
			} else {
				retValue = "0a";
			}
		} else {
			final AtlVerkehrsStaerkeStunde atlLkw = getqLkw();
			final AtlVerkehrsStaerkeStunde atlLkwK = getqLkwK();
			final AtlVerkehrsStaerkeStunde atlBus = getqBus();
			if (atlLkw.isNumber() && atlLkwK.isNumber() && atlBus.isNumber()) {
				final int iSV = atlLkw.getWert() + atlLkwK.getWert() + atlBus.getWert();
				if ((atlLkw.getGuete().getIndex() == 1) && (atlLkwK.getGuete().getIndex() == 1)
						&& (atlBus.getGuete().getIndex() == 1)) {
					retValue = String.valueOf(iSV) + '-';
				} else {
					retValue = String.valueOf(iSV) + 'd';
				}
			} else {
				retValue = "0a";
			}

		}
		return retValue;
	}

	@Override
	public String toString() {
		final String lf = System.getProperty("line.separator");
		final StringBuffer sb = new StringBuffer();
		sb.append("T:      ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_T).valueToString())
				.append(lf);
		sb.append("qKfz    ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QKFZ).valueToString())
				.append(lf);
		sb.append("qPkwAe  ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QPKWAE).valueToString())
				.append(lf);
		sb.append("qKfzNK  ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QKFZNK).valueToString())
				.append(lf);
		sb.append("qPkw    ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QPKW).valueToString())
				.append(lf);
		sb.append("qKrad   ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QKRAD).valueToString())
				.append(lf);
		sb.append("qLfw    ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLFW).valueToString())
				.append(lf);
		sb.append("qLkwAe  ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLKWAE).valueToString())
				.append(lf);
		sb.append("qPkwA   ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QPKWA).valueToString())
				.append(lf);
		sb.append("qLkw    ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLKW).valueToString())
				.append(lf);
		sb.append("qBus    ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QBUS).valueToString())
				.append(lf);
		sb.append("qLkwK   ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLKWK).valueToString())
				.append(lf);
		sb.append("qLkwA   ").append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLKWA).valueToString())
				.append(lf);
		sb.append("qSattel ")
				.append(_Data.getItem(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QSATTELKFZ).valueToString())
				.append(lf);
		for (int i = 0; i < 16; i++) {
			sb.append("VKLasse-PKWAe" + i + "  ")
					.append(_Data.getArray(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QPKWAEGESCHWKLASSE).getItem(i)
							.valueToString())
					.append(lf);
		}
		for (int i = 0; i < 16; i++) {
			sb.append("VKLasse-LKWAe" + i + "  ")
					.append(_Data.getArray(AtgVerkehrsdatenLangZeitIntervall.ATTR_NAME_QLKWAEGESCHWKLASSE).getItem(i)
							.valueToString())
					.append(lf);
		}
		return sb.toString();
	}

}
